## Script (Python) "custom_search_newsletter"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=selected_content_types, content_start_date, content_end_date
##title=custom_search_newsletter
##
"""
portal_catalog = context.portal_catalog
results=portal_catalog.searchResults(
                portal_type=selected_content_types,
                sort_on='Date',
                sort_order='reverse',
                review_state='published',
                effective=(content_start_date, content_end_date),
                effective_usage='range:min:max')
return results
"""

from DateTime import DateTime
portal_catalog = context.portal_catalog

startdate_obj = DateTime(content_start_date)
enddate_obj = DateTime(content_end_date)

results=portal_catalog.searchResults(
    portal_type=selected_content_types,
    sort_on='Date',
    sort_order='reverse',
    review_state='published',
    effective={'query': (startdate_obj,enddate_obj),
          'range': 'min:max'})

return results



